path: /build/build/kde-gtk-config-kde-plasma-5-5.27.9.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test prefix" emerge kde-plasma/kde-gtk-config:5 -pv -t && \
    USE="-test prefix" emerge -j ${JOBS} --nodeps kde-plasma/kde-gtk-config:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kde-gtk-config && luet-portage --dir
    /pkgdir/kde-gtk-config kde-plasma/kde-gtk-config:5 && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:bdef223445bc87fff1b619ec970f5de5cca8916f4f44722c7aa988fb935c683d
  package:
    name: kde-gtk-config
    version: 5.27.9
    category: kde-plasma-5
    use_flags:
    - -test
    - prefix
    requires:
    - name: macaroni-funtoo-race19
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: GTK2 and GTK3 configurator for KDE Plasma
    uri:
    - https://invent.kde.org/plasma/kde-gtk-config
    license: GPL-3
    buildtimestamp: 2024-02-14 12:19:28.980680305 +0000 UTC m=+211.420162576
    labels:
      BDEPEND: dev-lang/sassc dev-util/ninja >=dev-util/cmake-3.9.6 test? ( !prefix?
        ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.98.0:5
      DEPEND: dev-cpp/glibmm:2 dev-libs/glib:2 >=dev-qt/qtdbus-5.15.2:5 >=dev-qt/qtgui-5.15.2:5
        >=dev-qt/qtsvg-5.15.2:5 gnome-base/gsettings-desktop-schemas >=kde-frameworks/kconfig-5.98.0:5
        >=kde-frameworks/kconfigwidgets-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
        >=kde-frameworks/kdbusaddons-5.98.0:5 >=kde-frameworks/kguiaddons-5.98.0:5
        >=kde-frameworks/kwindowsystem-5.98.0:5 >=kde-plasma/kdecoration-5.27.9:5
        x11-libs/gtk+:3 dev-util/desktop-file-utils x11-misc/shared-mime-info >=dev-qt/qtcore-5.15.2:5
        dev-util/desktop-file-utils
      IUSE: test debug
      RDEPEND: dev-cpp/glibmm:2 dev-libs/glib:2 >=dev-qt/qtdbus-5.15.2:5 >=dev-qt/qtgui-5.15.2:5
        >=dev-qt/qtsvg-5.15.2:5 gnome-base/gsettings-desktop-schemas >=kde-frameworks/kconfig-5.98.0:5
        >=kde-frameworks/kconfigwidgets-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
        >=kde-frameworks/kdbusaddons-5.98.0:5 >=kde-frameworks/kguiaddons-5.98.0:5
        >=kde-frameworks/kwindowsystem-5.98.0:5 >=kde-plasma/kdecoration-5.27.9:5
        x11-libs/gtk+:3 >=kde-plasma/kde-cli-tools-5.27.9:5 x11-misc/xsettingsd >=kde-frameworks/kf-env-4
        || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:*
        ) >=dev-qt/qtcore-5.15.2:5
      emerge.packages: kde-plasma/kde-gtk-config:5
      kit: kde-kit
      original.package.name: kde-plasma/kde-gtk-config
      original.package.slot: "5"
      original.package.version: 5.27.9
    treedir: /build/packages
  package_dir: /pkgdir/kde-gtk-config
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: eb1a417590dc4b0cc5de7ed342dd7759b4dad99bed95e89af560a8011055579d
compressiontype: zstd
files:
- usr/lib64/gtk-3.0/modules/libcolorreload-gtk-module.so
- usr/lib64/gtk-3.0/modules/libwindow-decorations-gtk-module.so
- usr/lib64/kconf_update_bin/gtk_theme
- usr/lib64/kconf_update_bin/remove_deprecated_gtk4_option
- usr/lib64/libexec/gtk3_preview
- usr/lib64/qt5/plugins/kf5/kded/gtkconfig.so
- usr/share/doc/kde-gtk-config-5.27.9/README.md.bz2
- usr/share/kcm-gtk-module/preview.ui
- usr/share/kconf_update/gtkconfig.upd
- usr/share/kconf_update/remove_window_decorations_from_gtk_css.sh
- usr/share/themes/Breeze/window_decorations.css
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/BDEPEND
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/BUILD_TIME
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/CATEGORY
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/CBUILD
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/CFLAGS
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/CHOST
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/CONTENTS
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/COUNTER
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/CXXFLAGS
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/DEFINED_PHASES
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/DEPEND
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/DESCRIPTION
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/EAPI
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/FEATURES
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/HOMEPAGE
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/INHERITED
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/IUSE
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/IUSE_EFFECTIVE
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/KEYWORDS
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/LDFLAGS
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/LICENSE
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/NEEDED
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/PF
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/PROVIDES
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/RDEPEND
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/REQUIRES
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/SIZE
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/SLOT
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/USE
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/environment.bz2
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/kde-gtk-config-5.27.9.ebuild
- var/db/pkg/kde-plasma/kde-gtk-config-5.27.9/repository
package_cacheimage: ""
runtime:
  name: kde-gtk-config
  version: 5.27.9
  category: kde-plasma-5
  use_flags:
  - -test
  - prefix
  requires:
  - name: glibmm
    version: '>=0'
    category: dev-cpp-2
  - name: qtsvg
    version: '>=0'
    category: dev-qt-5
  - name: gsettings-desktop-schemas
    version: '>=0'
    category: gnome-base
  - name: kconfigwidgets
    version: '>=0'
    category: kde-frameworks-5
  - name: kdbusaddons
    version: '>=0'
    category: kde-frameworks-5
  - name: kde-cli-tools
    version: '>=0'
    category: kde-plasma-5
  - name: kdecoration
    version: '>=0'
    category: kde-plasma-5
  - name: gtk+
    version: '>=0'
    category: x11-libs-3
  - name: xsettingsd
    version: '>=0'
    category: x11-misc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: GTK2 and GTK3 configurator for KDE Plasma
  uri:
  - https://invent.kde.org/plasma/kde-gtk-config
  license: GPL-3
  labels:
    BDEPEND: dev-lang/sassc dev-util/ninja >=dev-util/cmake-3.9.6 test? ( !prefix?
      ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.98.0:5
    DEPEND: dev-cpp/glibmm:2 dev-libs/glib:2 >=dev-qt/qtdbus-5.15.2:5 >=dev-qt/qtgui-5.15.2:5
      >=dev-qt/qtsvg-5.15.2:5 gnome-base/gsettings-desktop-schemas >=kde-frameworks/kconfig-5.98.0:5
      >=kde-frameworks/kconfigwidgets-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
      >=kde-frameworks/kdbusaddons-5.98.0:5 >=kde-frameworks/kguiaddons-5.98.0:5 >=kde-frameworks/kwindowsystem-5.98.0:5
      >=kde-plasma/kdecoration-5.27.9:5 x11-libs/gtk+:3 dev-util/desktop-file-utils
      x11-misc/shared-mime-info >=dev-qt/qtcore-5.15.2:5 dev-util/desktop-file-utils
    IUSE: test debug
    RDEPEND: dev-cpp/glibmm:2 dev-libs/glib:2 >=dev-qt/qtdbus-5.15.2:5 >=dev-qt/qtgui-5.15.2:5
      >=dev-qt/qtsvg-5.15.2:5 gnome-base/gsettings-desktop-schemas >=kde-frameworks/kconfig-5.98.0:5
      >=kde-frameworks/kconfigwidgets-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
      >=kde-frameworks/kdbusaddons-5.98.0:5 >=kde-frameworks/kguiaddons-5.98.0:5 >=kde-frameworks/kwindowsystem-5.98.0:5
      >=kde-plasma/kdecoration-5.27.9:5 x11-libs/gtk+:3 >=kde-plasma/kde-cli-tools-5.27.9:5
      x11-misc/xsettingsd >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5
      kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.2:5
    emerge.packages: kde-plasma/kde-gtk-config:5
    kit: kde-kit
    original.package.name: kde-plasma/kde-gtk-config
    original.package.slot: "5"
    original.package.version: 5.27.9
